w, h = map(int, input().split())
area_window = w*h
carpets = [area_window]
carpet = area_window

for i in carpets:
    carpet = i
    if carpet % 2 == 0:
        for i in range(2):
            carpets.append(carpet//2)
    else:
        a = carpet // 2
        if a == 0:
            continue
        else:
            carpets.append(a)
            carpets.append(carpet-a)

print(sum(carpets))
